Skip to navigation

AppExtension

OBJECT
The response object for any query or mutation that returns an App Extension.

Fields

idStringRequired
The ID of the object.
labelAppExtensionLabelRequired

The locale-aware options for the App Extension menu item link text.

urlStringRequired

A relative path with some meaning to your app, most commonly an internally-defined GET route. The path should contain a supported path parameter that the app expects to be templated into its route, defined as a JavaScript string template literal. For example, ‘/customer/auth/${id}’. Currently, id is the only supported parameter. Limit 255 characters.

contextAppExtensionContextOptional
Defines the action that the control panel performs after the user clicks the App Extension label.
Allowed values:
modelAppExtensionModelOptional

The entity type to which the App Extension relates; for example, Orders.

Allowed values: